<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/ExhibitorMaster.Master"
    Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<asp:Content ID="Content2" ContentPlaceHolderID="HeadContent" runat="server">
    <script type="text/javascript">
        $(function () {
            selectMenu("新品上传", "");
            var temp = $("#Intro").val().replace(/<br>/g, "\n"); //将<br>转为换行符
            $("#Intro").val(temp);
            temp = $("#EIntro").val().replace(/<br>/g, "\n"); //将<br>转为换行符
            $("#EIntro").val(temp);
        });
        $(function () {
            var id = $("#TypID").val();
            if (id != "") {
                $("#TypeID").val(id);
            }

            if ($("#TypeID").val()) {
            } else {
                $("#TypeID").get(0).selectedIndex = 0;
            }

            $("#ShowUploadDiv").css("width", $("#ImgUploadDiv").width());
            $("#ShowUploadDiv").css("height", $("#ImgUploadDiv").height());

            $("#ImgUploadDiv").css("left", $("#ShowUploadDiv").offset().left);
            $("#ImgUploadDiv").css("top", $("#ShowUploadDiv").offset().top);

            if (document.getElementById("DownLoadShow").value != "") {
                document.getElementById("FileDownLoad").style.display = "";
            }
            else {
                document.getElementById("FileDownLoad").style.display = "none";
            }

            CountTotalPrice();
//            SetIntroValue();
//            SetEIntroValue();
        });


        function SetIntroValue() {
            var IntroStr = $("#Intro").val();
            if (IntroStr != "") {
                var ArrIntorStr = IntroStr.split('$');
                for(var i=0;i<ArrIntorStr.length;i++) {
                    $("#Intro" + (i + 1).toString()).val(ArrIntorStr[i]);
                }
            }
        }
        function SetEIntroValue() {
            var IntroStr = $("#EIntro").val();
            if (IntroStr != "") {
                var ArrIntorStr = IntroStr.split('$');
                for (var i = 0; i < ArrIntorStr.length; i++) {
                    $("#EIntro" + (i + 1).toString()).val(ArrIntorStr[i]);
                }
            }
        }

        function Upload() {
            var fileName = $("#UploadFile").val();
            if (checkFileType(fileName)) {
                MsgTip.show({ ico: 'loading', during: 0, msg: '正在上传，请稍等...' });
                $("#f2").submit();
            }
        }
        function UploadLogo() {
            var fileName = $("#UploadLogoFile").val();
            if (checkLogoFileType(fileName)) {
                MsgTip.show({ ico: 'loading', during: 0, msg: '正在上传，请稍等...' });
                $("#f3").submit();
            }
        }

        function UploadPdtFileSubmit() {
            var fileName = $("#UploadPdtFile").val();

            if (fileName == "") {
                showMessage("请选择要上传的文件！");
                return;
            }
            else {
                MsgTip.show({ ico: 'loading', during: 0, msg: '正在上传，请稍等...' });
                $("#f4").submit();
            }
        }

        function UploadOK() {
            MsgTip.hide();
        } 

        function checkFileType(fileName) {
            var fileType = fileName.substring(fileName.lastIndexOf('.') + 1, fileName.length).toLocaleLowerCase();
            if (fileType != "jpg" && fileType != "png") {
                showMessage("只能上传JPG、png格式的图片！");
                return false;
            }
            return true;
        }
        function checkLogoFileType(fileName) {
            var fileType = fileName.substring(fileName.lastIndexOf('.') + 1, fileName.length).toLocaleLowerCase();
            if (fileType != 'jpg') {
                showMessage("请上传JPG格式公司logo！");
                return false;
            }
            return true;
        }

        function showMessage(message) {
            showMsg(message);
        }


        function GetSubmitInfo() {
            //var Str = '[{"expoid":"927","extid":"999"';
            var Str = '[{"expoid":"927","extid":"<%=ViewData["PID"] %>"';
            Str += ',"exhibitorextid":"<%=Session["atrID"] %>"';
            Str += ',"product_cn":"' + $.trim($("#Name").val()) + '"';
            Str += ',"product_en":"' + $.trim($("#EName").val()) + '"';
            var temp = $("#Intro").val().replace(/\n/g, "<br>"); //将换行符转为<br>
            $("#Intro").val(temp);
            temp = $("#EIntro").val().replace(/\n/g, "<br>"); //将换行符转为<br>
            $("#EIntro").val(temp);
            Str += ',"description_cn":"' + valueReplace($.trim($("#Intro").val())) + '"';
            Str += ',"description_en":"' + valueReplace($.trim($("#EIntro").val())) + '"';
            Str += ',"categories":"' + $("#TypeID").find("option:selected").text() + '"';
            Str += ',"imageid":"' + $("#AppShowStr").val() + '"';
            Str += '}]';

            return Str;
        }

        function valueReplace(v) {
            v = v.toString().replace(new RegExp('(["\"])', 'g'), "\\\"");
            return v;
        }

        function checkSaveInfo() {
            var temp = $("#Intro").val().replace(/\n/g, "<br>"); //将换行符转为<br>
            $("#Intro").val(temp);
            temp = $("#EIntro").val().replace(/\n/g, "<br>"); //将换行符转为<br>
            $("#EIntro").val(temp);

            var name = $.trim($("#Name").val());
            var intro = $.trim($("#Intro").val());

            //var intro = $.trim($("#Intro1").val()) + "$" + $.trim($("#Intro2").val()) + "$" + $.trim($("#Intro3").val()) + "$" + $.trim($("#Intro4").val());
            //$("#Intro").val(intro);
            if (name.length > 20) {
                showMessage("中文产品名称长度不能超过20个字符！");
                return false;
            }
            if (intro.length > 200) {
                showMessage("中文产品介绍长度不能超过200个字符！");
                return false;
            }
            var ename = $.trim($("#EName").val());
            var eintro = $.trim($("#EIntro").val());
            //var eintro = $.trim($("#EIntro1").val()) + "$" + $.trim($("#EIntro2").val()) + "$" + $.trim($("#EIntro3").val()) + "$" + $.trim($("#EIntro4").val());
            //$("#EIntro").val(eintro);
            if (ename.length > 40) {
                showMessage("英文产品名称长度不能超过40个字符！");
                return false;
            }
            if (eintro.length > 500) {
                showMessage("英文产品介绍长度不能超过500个字符！");
                return false;
            }

            if (name == "" && ename == "") {
                showMessage("中英文产品信息请至少填写一项！");
                return false;
            }


            if (intro == "" && eintro == "") {
                showMessage("中英文新品信息请至少填写一项！");
                return false;
            }


            var typeID = $("#TypeID").val();
            if (typeID == "") {
                showMessage("请选择产品类别！");
                return false;
            }

            var image = $("#ImageShow").attr("src");
            if (image.indexOf("default") > 0) {
                showMessage("请选择并上传产品图片！");
                return false;
            }

         //   if ($("#ckbAgree").attr("checked")) {

//            } else {
//                showMessage("勾选同意后才可提交！");
//                return false;
//            }

            return true;
        }


        function Save() {
            if (checkSaveInfo()) {
                //onLogin();

                var orderStr = "";
                $("input[type='text'][name^='Num']").each(function () {
                    var num = $(this).val().replace(/[^\d]/g, '');
                    var price = $(this).attr("price");
                    if ($.trim(num) != "" && $.trim(num) != "0") {
                        var totalPrice = parseInt(num) * parseFloat(price);
                        var id = $(this).attr("name").substring(3);
                        orderStr += id + ":" + num + ":" + totalPrice + ";";
                    }
                });
                $("#OrderStr").val(orderStr);
                $("#ApiStr").val(GetSubmitInfo());

                $("#f1").submit();
            }
        }


        function ChangePackage(StrTitle, value) {
            if (StrTitle.indexOf("C") > -1 && parseInt(value) >= 0) {
                $("input[id^='Num']").each(function () {
                    $(this).val($(this).val().replace(/[^\d]/g, ''));
                    var num = $(this).val();
                    var Title = $(this).attr("title");

                    if (Title.indexOf("B") > -1) {
                        $(this).val("");
                    }
                });
            }

            if (StrTitle.indexOf("B") > -1 && parseInt(value) >= 0) {
                $("input[id^='Num']").each(function () {
                    $(this).val($(this).val().replace(/[^\d]/g, ''));
                    var num = $(this).val();
                    var Title = $(this).attr("title");

                    if (Title.indexOf("C") > -1) {
                        $(this).val("");
                    }
                });
            }

        }


        var regNum = /^\d+$/;
        var regPrice = /^\d+(\.\d+)?$/;
        function CountTotalPrice() {
            $("input[id^='Num']").each(function () {
                $(this).val($(this).val().replace(/[^\d]/g, ''));
                var num = $(this).val();
                var price = $(this).attr("price");

                var total = 0;
                if (regNum.test(num) && regPrice.test(price)) {
                    total += parseInt(num) * parseFloat(price);
                }
                $(this).parent().parent().find("td[total]").html(total);
            });

            var allTotalPrice = 0;
            $("td[total]").each(function () {
                var totalPrice = $(this).html();
                if (regPrice.test(totalPrice)) {
                    allTotalPrice += parseFloat(totalPrice);
                }
            });
            $("td[alltotal]").html(allTotalPrice);
        }


    </script>
    <style type="text/css">
        input{ vertical-align:middle; margin:0; padding:0}
        .file-box{ position:relative;width:340px}
        .txt{ height:22px; border:1px solid #cdcdcd; width:180px;}
        .btn{ background-color:#FFF; border:1px solid #CDCDCD;height:24px; width:70px;}
        .file{ position:absolute; top:0; right:80px; height:24px; filter:alpha(opacity:0);opacity:0;width:250px }
    </style>
</asp:Content>
<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="server">
    <div>
            <table border="0" cellpadding="0" cellspacing="0" style="width:100%;font-family:Arial;padding-left:10px">
                <tr>
                    <td align="right">
                        <table border="0" cellpadding="0" cellspacing="0">
                            <tr>
                                <td align="left" style="width:80px;">截止日期：</td>
                                <td align="left" style="width:80px;"><%=ViewData["EndDate"] %></td>
                                <td align="left" style="width:80px;">提交日期：</td>
                                <td align="left" style="width:80px;"><%=ViewData["SubDate"] %></td>
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr><td>&nbsp;</td></tr>
                <tr>
                    <td align="center" style="line-height:20px">
                        <strong><span  style="font-size:14px;">欢迎您来到“名家具展”新品发布系统</span><br />
                        <br />
                        <span  style="font-size:13px;"><font color="#4EB0AE">利用主办成熟渠道，产品信息直达目标群体<br />
                        精准锁定买家，掌握核心数据<br />
                        实现展前互动，贸易配对提升参展效果<br /></font>
                        <br /></span></strong>
                    </td>
                </tr>
                <tr>
                    <td align="left" style="line-height:20px">
                        <strong>规则说明：</strong><br />
                        	每家企业限报两个系列的展品参评，每个系列只能有一件(套)产品参评<br />
                      
                       <%-- 3.	企业须承诺所参与的新品不存在抄袭及侵权情况，如发生侵权纠纷，主办方将立即停止对于该产品的一切展示。并由企业承担相应的法律责任。<br />
                        4.	新品描述性文字需真实准确，不存在蓄意夸大及虚假情况。<br />--%>
                        <strong>
                        企业须严格遵守以上原则，对于未能遵循的企业，主办方有权取消其参与资格并终止与其相关的推广活动。<br /></strong>
                        <br />
                        <strong>产品信息上传</strong><br />
                        <br />
                        完成以下中英文表格，您的新品信息将被显示相应的中英文系统中，故请完整填写。<br />
                        <br />
                        <br />
                    </td>
                </tr>
                <tr>
                    <td align="left">
                        <%
                            string type = ViewData["Type"].ToString();

                            int id = 0;
                            string pdtName = "";
                            string pdtEName = "";
                            int typID = 0;
                            string pdtIntro = "";
                            string pdtEIntro = "";
                            string filPath = "";
                            string filSPath = "";

                            string atrName = "";
                            string atrEName = "";

                            string bthCode = "";
                            //默认图片
                            filSPath = FamousFurnitureExpo.Models.Helper.VRoot + "/Content/Images/default.jpg";

                            System.Data.DataRow dr = ViewData["DataRow"] as System.Data.DataRow;
                            if (type == "Add")
                            {
                                atrName = Server.HtmlEncode(dr["AtrName"].ToString());
                                atrEName = Server.HtmlEncode(dr["AtrEName"].ToString());
                                bthCode = Server.HtmlEncode(dr["BthCode"].ToString());
                            }
                            if (type == "Edit")
                            {
                                
                                id = Convert.ToInt32(dr["ID"]);
                                pdtName = Server.HtmlEncode(dr["PdtName"].ToString());
                                pdtEName = Server.HtmlEncode(dr["PdtEName"].ToString());
                                typID = Convert.ToInt32(dr["TypID"]);
                                pdtIntro = Server.HtmlEncode(dr["PdtIntro"].ToString());
                                pdtEIntro = Server.HtmlEncode(dr["PdtEIntro"].ToString());

                                atrName = Server.HtmlEncode(dr["AtrName"].ToString());
                                atrEName = Server.HtmlEncode(dr["AtrEName"].ToString());
                                bthCode = Server.HtmlEncode(dr["BthCode"].ToString());
                                
                                filPath = FamousFurnitureExpo.Models.Helper.GetWebConfig("ActorImageVRoot") + dr["FilPath"].ToString();
                                filSPath = FamousFurnitureExpo.Models.Helper.GetWebConfig("ActorImageVRoot") + dr["FilSPath"].ToString();
                            }
                            //string imgLogo = FamousFurnitureExpo.Models.Helper.VRoot + "/Content/Images/default.jpg";
                            //string imgLogoSmall = FamousFurnitureExpo.Models.Helper.VRoot + "/Content/Images/default.jpg";
                            //if (ViewData["ImgLogoSmall"] != null)
                            //{
                            //    imgLogoSmall = FamousFurnitureExpo.Models.Helper.GetWebConfig("ActorImageVRoot") + ViewData["ImgLogoSmall"].ToString();
                            //}
                            string filFile = "";
                            if (ViewData["filFile"] != null)
                            {
                                filFile = FamousFurnitureExpo.Models.Helper.GetWebConfig("ActorImageVRoot") + ViewData["filFile"].ToString();
                            }
                            else
                            {
                                filFile = "";
                            }
                            
                            
                        %>
                        <form id="f1" name="f1" action="<%=FamousFurnitureExpo.Models.Helper.VRoot %>/Exhibitor/ProductEdit" method="post">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <tr>
                                <td align="left" style="width:200px;">
                                    新品名称（中文）：
                                </td>
                                <td align="left">
                                    <input type="text" class="text" id="Name" name="Name" value="<%=pdtName %>" />
                                    （中文小于20字）
                                </td>
                            </tr>
                            <tr><td colspan="2">&nbsp;</td></tr>
                            <tr>
                                <td align="left">
                                    新品名称（英文）：
                                </td>
                                <td align="left">
                                    <input type="text" class="text" id="EName" name="EName" value="<%=pdtEName %>" />
                                    （英文小于40字符）
                                </td>
                            </tr>
                            <tr><td colspan="2">&nbsp;</td></tr>
                            <tr>
                                <td align="left">
                                    选择您的新品所属板块：
                                </td>
                                <td align="left">
                                    <select id="TypeID" name="TypeID" style="font-family:Arial; font-size: 12px;">
                                        <option value="">--请选择--</option>
                            <% 
                                List<FamousFurnitureExpo.Models.TypeInfo> liTypeInfo = ViewData["TypeInfo"] as List<FamousFurnitureExpo.Models.TypeInfo>;
                                foreach (FamousFurnitureExpo.Models.TypeInfo typeInfo in liTypeInfo)
                                {
                            %>
                                        <option value="<%=typeInfo.TypID %>"><%=typeInfo.TypName %></option>
                            <%
                                }
                            %>
                                    </select>
                                    <input type="hidden" id="TypID" name="TypID" value="<%=typID %>" />
                                </td>
                            </tr>
                            <tr><td colspan="2">&nbsp;</td></tr>

                          <%--  <tr>
                            <td align="left">
                            </td>
                            <td style="line-height:25px">
                            分类提示：<br />
                            宠物食品包括：宠物粮食、宠物零食、维他命/营养品、宠物食品添加剂、宠物食品加工机械、宠物食品包装技术<br />
                            宠物用品包括：宠物服装、宠物用具、宠物笼舍、宠物玩具、宠物护理品、宠物美容用品、宠物训导用品、其他<br />
                            宠物医疗：宠物医疗设备、宠物保健用品、宠物疫苗、宠物药品、宠物医院、其他<br />
                            活体宠物包括：犬、猫、仓鼠、兔、鸟、观赏鱼、龟、蜥蜴、其他<br />
                            其他包括：宠物杂志、宠物网站、宠物摄影、宠物俱乐部、宠物爱好者社团、其他
                            </td></tr>--%>
                           
                            <tr><td colspan="2">&nbsp;</td></tr>
                            <tr>
                                <td align="left" colspan="2">
                                    <div id="ShowUploadDiv"></div>
                                </td>
                            </tr>
                             <tr><td colspan="2">&nbsp;</td></tr>
                            <tr><td colspan="2">&nbsp;</td></tr>
                            <tr><td colspan="2">&nbsp;</td></tr>
                            <tr>
                               <%-- <td colspan="2" style="padding-bottom:10px">
                                我们将把您的产品信息融入InnovAction宠物新风尚整体宣传之中，所以我们建议您尽可能地完整地来填写以下信息，以便让您的产品得到最大程度曝光与关注。无论您的产品是具有设计、材料或技术，甚至是营销方面的创新，我们都鼓励您与我们分享。
                                </td>--%>
                            </tr>
                            <tr>
                                <td align="left">
                                    新品介绍（中文）：<br />
                                </td>
                                <td align="left" valign="top">
                                    <textarea cols="40" rows="5" id="Intro" name="Intro"><%=pdtIntro %></textarea>
                                    （中文小于200字）
                                </td>
                            </tr>
                            <tr><td colspan="2">&nbsp;</td></tr>
                            <tr>
                                <td align="left">
                                    新品介绍（英文）：<br />
                                </td>
                                <td align="left">
                                    <textarea cols="40" rows="5" id="EIntro" name="EIntro"><%=pdtEIntro %></textarea>
                                    （英文小于500字符）

                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td align="left">
                                    <font>说明：精准且具吸引力的新品描述性文字将有助于您获得更多潜在客户的关注，使您的品牌与产品脱颖而出，直接提升参展效果</font>
                                </td>
                            </tr>
                            
                            <tr><td colspan="2">&nbsp;</td></tr>
                            <tr><td colspan="2">&nbsp;</td></tr>

                           <%-- <tr>
                                <td align="left" colspan="2" style="width:100%">
                                    <strong>2014宠物新风尚新品推广方案：</strong>
                                </td>
                            </tr>


                            <tr>
                                <td align="left" colspan="2">
                                    <table width="100%" border="0" cellpadding="1" cellspacing="0">
                                        <tr>
                                            <td class="td01" width="20%" align="center">宣传项目</td>
                                            <td class="td01" width="25%" align="center">包含服务 </td>
                                            <%--<td class="td01" width="10%" align="center">单位</td
                                            <%--<td class="td01" width="10%" align="center">价格 元/展期</td>--%>
                                            <%--<td class="td01" width="10%" align="center">数量</td>
                                            <td class="td01" width="10%" align="center">小计</td>--%>
                                <%--        </tr>
                                    <% 
                                        System.Data.DataTable dt = ViewData["DataTable"] as System.Data.DataTable;
                                        if (dt.Rows.Count > 0)
                                        {
                                            foreach (System.Data.DataRow drSrj in dt.Rows)
                                            {
                                                string scale = drSrj["SrjScale"].ToString().Trim();
                                                string price = "";
                                                string disabled = "";
                                                if (drSrj["SrjSalePrice"].ToString() == "0.00")
                                                {
                                                    price = "免费";
                                                    disabled = "disabled";
                                                }
                                                else
                                                {
                                                    price = drSrj["SrjSalePrice"].ToString();
                                                }
                                    %>--%>
                                        <%--<tr>
                                            <td class="td03" align="left"><%=Server.HtmlEncode(drSrj["SrjName"].ToString())%></td>
                                            <td class="td03" align="left">&nbsp;<%=Server.HtmlEncode(drSrj["SrjIntro"].ToString()).Replace("&lt;", "<").Replace("&gt;", ">")%></td>
                                            <%--<td class="td03" align="center">&nbsp;<%=Server.HtmlEncode(drSrj["SrjUnit"].ToString())%></td>--%>
                                         <%--   <% if (scale != "联系我们")
                                               { %>
                                            <td class="td03" align="center"><%=price%></td>
                                            <%--<td class="td03" align="center">
                                                <input type="text" class="text" id="Num<%=drSrj["SrjID"] %>" <%=disabled %> name="Num<%=drSrj["SrjID"] %>" price="<%=drSrj["SrjSalePrice"] %>" value="<%=Server.HtmlEncode(drSrj["OddTotalNum"].ToString()) %>" style="text-align:center; line-height:14px; width:50px; height:14px" onkeyup="ChangePackage(this.title,this.value);CountTotalPrice()" title="<%=Server.HtmlEncode(drSrj["SrjName"].ToString()) %>"  />
                                            </td>
                                            <td class="td03" align="center" total="total"></td>--%>
                                          <%--  <% }
                                               else
                                               { %>
                                            <td class="td03" align="center">-</td>
                                            <%--<td class="td03" align="center">-</td>
                                            <td class="td03" align="center">-</td>--%>
                                          <%--  <% } %>
                                        </tr>
                                    <%            
                                            }
                                    %> --%>
                                       <%-- <tr style="display:none">
                                            <td class="td03" align="center" colspan="1">费用合计：</td>
                                            <td class="td03" align="center" colspan="3" alltotal="alltotal"></td>
                                        </tr>
                                        <tr><td>&nbsp;</td></tr>--%>
                                <%--    <%
                                        }
                                        else
                                        { 
                                    %>
                                        <tr style="display:none">
                                            <td colspan="4" class="td03" align="center" valign="middle" height="40" width="100%">暂无信息</td>
                                        </tr>
                                    <%      
                                        } 
                                    %>--%>

                                    
                                    </table>
                                    <input type="hidden" id="OrderStr" name="OrderStr" />
                                    <input type="hidden" id="ApiStr" name="ApiStr" />
                                    <input type="hidden" id="Message" name="Message" value="<%=ViewData["Message"] %>" />
                                </td>
                            </tr>



                            <tr>
                                <td align="left" colspan="2">
                                <br />
                                  <%--  <table border="0" cellpadding="0" cellspacing="0" width="100%" style="border: solid thin #4EB0AE">
                                        <tr>
                                            <td style="height:110px;padding:15px" valign="top">
                                                注：<br />
                                                1.由于参与Package B以上的新品将作为InnovAction 2014推广主体，故申请Package B以上的展商需经过认真挑选，并经由评审委员会审核通过，才能被展示。<br />
                                                2.每项申请都会根据将要展出的产品来进行评估，以确保展会质量。仅高品质的创新产品，方有资格享受Package B及以上的深度推广服务，并同时获得最终评奖资格。<br />
                                                3.Package B及PackageC申请截止时间为2014.6.20，逾期提交，恕不受理。
                                            </td>
                                        </tr>
                                    </table>--%>
                                </td>
                            </tr>

                            <tr>
                                <%--<td align="left" colspan="2">
                                <br />
                                    <font>*免责声明<br />
                                    所有上传内容均由参展企业自主上传，与亚洲宠物展览会主办方立场无关。主办方不对其中包含或引用的信息的准确性、可靠性或完整性提供任何明示或暗示的保证。如因上传的文字内容触犯中华人民共和国法律，上传企业应自行承担全部责任<br />
                                    如任何单位或个人认为新品系统所展示的内容涉嫌侵犯其合法权益，应及时向亚洲宠物展览会主办方提出书面意见并提供相关证明材料和理由，收到上述文件后将采取相应措施。<br />
                                    </font>
                                </td>--%>
                            </tr>
                            <tr><td>&nbsp;</td></tr>
                            <tr>
                                <td align="center" valign="middle" colspan="2" style="padding:10px;">
                                   <%-- <input type="checkbox" id="ckbAgree" name="ckbAgree" /><font color="#4EB0AE">我同意</font>--%>
                                </td>
                            </tr>
                            <tr><td>&nbsp;</td></tr>
                            <tr>
                                <td colspan="2" align="center">
                                    <table border="0" cellpadding="0" cellspacing="0"style="margin-right:150px">
                                        <tr>
                                            <td><div class="button" onclick="Save()">提交</div></td>
                                            <td><div class="button" onclick="window.history.go(-1)">返回</div></td>
                                        </tr>
                                    </table>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <input type="hidden" id="Type" name="Type" value="<%=ViewData["Type"] %>" />
                                    <input type="hidden" id="ID" name="ID" value="<%=id %>" />
                                </td>
                            </tr>
                        </table>

                        <script type="text/javascript">
                            $(function () {
                                var message = $("#Message").val();
                                if (message != "") {
                                    showMsg(message);
                                }
                            });
                        </script>
                        </form>





                        <div id="ImgUploadDiv" style="position:absolute; width:680px;">
                        <form id="f2" name="f2" action="<%=FamousFurnitureExpo.Models.Helper.VRoot %>/Exhibitor/ProductUploadImage" method="post" enctype="multipart/form-data" target="hidden_frame">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            
                            <tr>
                                <td colspan="2" align="center" valign="middle" style="height:180px;">
                                    <img alt="" id="ImageShow" name="ImageShow" src="<%=filSPath %>" />


                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td align="left">
                                    <font color="#4EB0AE">为达到更好展示效果，请尽量使用横向图片</font>
                                </td>
                            </tr>
                            <tr>
                                <td align="left" style="width:150px;padding-left:15px">
                                    <strong>上传新品图片：</strong>
                                </td>
                                <td align="left">
                                    <table border="0" cellpadding="0" cellspacing="0" width="100%" style="margin-left:32px">
                                        <tr>
                                            <td align="left">
                                                <div class="file-box">
                                                    <input type='text' class='txt' id='UploadFileShow' name='UploadFileShow' disabled="disabled" />  
                                                    <input type='button' class="btn" value='选择图片' />
                                                    <input type="file" class="file" id="UploadFile" name="UploadFile" size="28" onchange="document.getElementById('UploadFileShow').value=this.value" />
                                                    <input type="button" class="btn" value="上传" onclick="Upload()" />
                                                    <input type="hidden" id="AppShowStr" name="AppShowStr" value="<%=FamousFurnitureExpo.Models.Helper.ActorImageVRoot %>/DataFile/ActorFile/CCDacf/<%=Session["exhID"] %>/ProductImage/<%=Session["atrID"] %>/<%=Session["atrID"] %>_AppShowImage.jpg" />
                                                </div>
                                            </td>
                                        </tr>
                                    </table>
                                    <iframe name='hidden_frame' id="hidden_frame" style="display: none;"></iframe>
                                </td>
                            </tr>
                            <tr>
                                <td></td>
                                <td align="left">
                                    <font color="#4EB0AE">说明：新品图片大小不超过200K，格式为JPG或 PNG,为保证图片最佳呈现效果建议提供横构图。内容为必须为新品图片。如图片内容与精度不符合要求，主办方有权不予展示。</font>
                                </td>
                            </tr>
                        </table>
                        </form>


                        <form id="f4" name="f4" action="<%=FamousFurnitureExpo.Models.Helper.VRoot %>/Exhibitor/FileUpload" method="post" enctype="multipart/form-data" target="hidden_frame3">
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
                            <tr><td>&nbsp;</td></tr>
                            <tr>
                                <td align="left" style="width:350px;padding-left:15px" colspan="2"><br />
                                    <strong>其他材料：</strong>（如果该产品已有相关新品专利证书或知识产权方面的相关证明，可在此处上传）
                                </td>
                                
                            </tr>
                            <tr>
                                <td align="left" style="width:150px;padding-left:15px">
                                    
                                </td>
                                <td align="left">
                                    <table border="0" cellpadding="0" cellspacing="0" width="100%" style="margin-left:32px">
                                        <tr>
                                            <td align="left">
                                                <div class="file-box">
                                                    <input type='text' class='txt' id='UploadPdtFileShow' name='UploadPdtFileShow' disabled="disabled" />  
                                                    <input type='button' class="btn" value='选择文件'  />
                                                    <input type="file" class="file" id="UploadPdtFile" name="UploadPdtFile" size="28" onchange="document.getElementById('UploadPdtFileShow').value=this.value" />
                                                    <input type="button" class="btn" value="上传" onclick="UploadPdtFileSubmit()" />
                                                </div>
                                                <br />
                                                <a href="<%=filFile %>" target="_blank" style="display:none" id="FileDownLoad">文件下载</a>

                                                <input id="DownLoadShow" type="hidden" value="<%=filFile %>" />

                                            </td>
                                        </tr>
                                    </table>
                                    <iframe name='hidden_frame3' id="hidden_frame3" style="display: none;"></iframe>
                                </td>
                            </tr>
                        </table>
                        </form>
                        
                        </div>
                    
                
            
    </div>
</asp:Content>
